Loading...
Searching...
No Matches
libsbml.SBMLNamespacesList Class Reference
Inheritance diagram for libsbml.SBMLNamespacesList:
[legend]

## Detailed Description

Class for managing lists of SBMLNamespaces objects.

This class of objects is defined by libSBML only and has no direct equivalent in terms of SBML components. This class is not prescribed by the SBML specifications, although it is used to implement features defined in SBML.

This class is necessary because of programming language differences between Python and the underlying C++ core of libSBML's implementation. It would of course be preferable to have a common list type for all lists returned by libSBML (e.g., lists of SBMLNamespaces objects, lists of SBMLNamespaces objects, etc.). However, this is currently impossible to achieve given the way the underlying C++ lists are implemented.

As a result of this incompatibility, libSBML must implement the Python versions of the lists in another way. The approach taken is to define specialized list types for each kind of object that needs a list; that is, SBMLNamespacesList for SBMLNamespaces objects, SBMLNamespacesList for SBMLNamespaces objects, and a few others. These list objects provide the same kind of functionality that the underlying C++ generic lists provide (such as `get()`, `add()`, `remove()`, etc.).

See also
  SBMLNamespaces#getSupportedNamespaces()

## Public Member Functions

| __init__ (self)
| add (self, *args)
| get (self, *args)
| getSize (self)
| prepend (self, *args)
| remove (self, *args)

## Constructor & Destructor Documentation

## __init__()

libsbml.SBMLNamespacesList.__init__ | ( |  | self | ) |

Explicit constructor for this list.

    __init__()    string

In most circumstances, callers will obtain an SBMLNamespacesList object from a call to a libSBML method that returns the list. However, the constructor is provided in case callers need to construct the lists themselves.

## Member Function Documentation

## add()

libsbml.SBMLNamespacesList.add | ( |  | self,
|  | * | args )

Adds the given SBMLNamespaces object `item` to this list.

    add(SBMLNamespaces item)

Parameters

  item | the SBMLNamespaces object to add to add

## get()

libsbml.SBMLNamespacesList.get | ( |  | self,
|  | * | args )

Returns the nth SBMLNamespaces object from this list.

    get()    SBMLNamespaces

If the index number `n` is greater than the size of the list (as indicated by getSize()), then this method returns `None`.

Parameters

  n | the index number of the item to get, with indexing beginning at number `0`.

Returns
  the nth item in this SBMLNamespacesList items.

See also
  getSize()

## getSize()

libsbml.SBMLNamespacesList.getSize | ( |  | self | ) |

Returns the number of items in this list.

    getSize()    long

Returns
  the number of elements in this list.

## prepend()

libsbml.SBMLNamespacesList.prepend | ( |  | self,
|  | * | args )

Adds the SBMLNamespaces object `item` to the beginning of this list.

    prepend(SBMLNamespaces item)

Parameters

  item | a pointer to the item to be prepended.

## remove()

libsbml.SBMLNamespacesList.remove | ( |  | self,
|  | * | args )

Removes the nth SBMLNamespaces object from this list and returns it.

    remove(long n)    SBMLNamespaces

Callers can use getSize() to find out the length of the list. If `n >` getSize(), this method returns `None` and does not delete anything.

Parameters

  n | the index number of the item to remove

Returns
  the item indexed by `n`

See also
  getSize()